#include <iostream>
using namespace std;
main(){
	long N[10], K[10], br_gr, ost;
	long long M[10], Potrebno;
	int T;
	int i;
	int Rez[10];
//	cout<<"Unesite broj testova\n"<<endl;
	cin>>T;
	for(i=0;i<T;i++){
	//	cout<<"Unesi broj djaka\n"<<endl;
		cin>>N[i];
	//	cout<<"Unesi broj bananica\n"<<endl;
		cin>>M[i];
	//	cout<<"Unesi broj grupa\n"<<endl;
		cin>>K[i];
		// Da li je okrugao broj grupa:
		ost=N[i]%K[i];
		if (ost==0){
			// imamo okrugao broj grupa:
			// broj grupa je:
			br_gr=N[i]/K[i];
			//cout<<"Broj okruglih grupa je\n"<< br_gr<<endl;
			// Potrebno je krem bananica:
			Potrebno=br_gr*(br_gr+1)*K[i]/2;
			if (M[i]<Potrebno){
				Rez[i]=0;
			}

			else {
				Rez[i]=1;
			}			
			
		}
		else{
			// Imamo nejednake grupe
			br_gr=N[i]/K[i];
			//cout<<"Broj neokruglih grupa je\n"<< br_gr<<endl;
			Potrebno =br_gr*(br_gr+1)*K[i]/2 +(K[i]-1)*K[i]/2;
			if (M[i]<Potrebno){
				Rez[i]=0;
			}

			else {
				Rez[i]=1;
			}
		}
	}
for(i=0;i<T;i++){	
	if (Rez[i]==1	)
	cout<<"Tak"<<endl;
	else
	cout<<"Nie"<<endl;}
	
}